import {P4CompPathTabs} from './comps';


export let Bot = function MathBot({manifest, view, action}) {

    manifest({
        id: 'math',
        name: 'Math Bot',
        icon: {
            '48': '48x48.png',
        },
        author: 'P4 Team',
        homepage: '',
        info: '',
    });

    let onPaste = text => {
        action('Paste', {text});
    };

    function Comp() {
        return () => {
            return ['div', {},
                [P4CompPathTabs, {onPaste}]
            ];
        };
    }

    view('embed', Comp);
};
