/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmony imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 2);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.P4CompPathTabs = P4CompPathTabs;

var _btnLine = __webpack_require__(1);

function cdn(path) {
    // return `https://192.168.1.10:10000/${path}`;
    return 'https://unpkg.com/p4-bot-math@0.0.5/' + path;
}

function Btn(_ref) {
    var css = _ref.css,
        comp = _ref.comp,
        color = _ref.color;


    css({
        '.math-btn': {
            d: 'inline-block',
            pos: 'relative',
            pad: '13px',
            cur: 'pointer',
            h: '36px',
            w: '36px',
            '&:hover': {
                span: {
                    bd: '1px solid ' + color.greyLighter,
                    w: '60px',
                    h: '60px',
                    top: '0px',
                    left: '0px'
                }
            },
            '&:active': {
                span: {
                    bd: '2px solid ' + color.mainLight,
                    w: '50px',
                    h: '50px',
                    top: '4px',
                    left: '4px',
                    trs: 'all 0.01s',
                    bdrad: '5px'
                }
            },
            span: {
                d: 'block',
                pos: 'absolute',
                top: '11px',
                left: '11px',
                trs: 'all 0.15s',
                bd: '1px solid #fff',
                bdrad: '3px',
                w: '40px',
                h: '40px'
            }
        }
    });

    var onClick = function onClick() {
        var props = comp.props;

        props.onClick(props.snippet);
    };

    return function (_ref2) {
        var p = _ref2.props;

        return ['span', { className: 'math-btn', title: p.snippet, onClick: onClick }, ['img', { src: cdn('img/' + p.img) }], ['span']];
    };
}

function BtnSmall(_ref3) {
    var css = _ref3.css,
        comp = _ref3.comp,
        color = _ref3.color;


    css({
        '.math-btn2': {
            d: 'inline-block',
            pos: 'relative',
            pad: '12px',
            cur: 'pointer',
            h: '24px',
            w: '24px',
            '&:hover': {
                span: {
                    bd: '1px solid ' + color.greyLighter,
                    w: '46px',
                    h: '46px',
                    top: '0px',
                    left: '0px'
                }
            },
            '&:active': {
                span: {
                    bd: '2px solid ' + color.mainLight,
                    w: '36px',
                    h: '36px',
                    top: '4px',
                    left: '4px',
                    trs: 'all 0.01s',
                    bdrad: '5px'
                }
            },
            span: {
                d: 'block',
                pos: 'absolute',
                top: '12px',
                left: '13px',
                trs: 'all 0.2s',
                bd: '1px solid #fff',
                bdrad: '3px',
                w: '22px',
                h: '22px'
            }
        }
    });

    var onClick = function onClick() {
        var props = comp.props;

        props.onClick(props.snippet);
    };

    return function (_ref4) {
        var p = _ref4.props;

        return ['span', { className: 'math-btn2', title: p.snippet, onClick: onClick }, ['img', { src: cdn('img/' + p.img), style: { margin: p.isSmall ? '6px' : 0 } }], ['span']];
    };
}

function P4CompPathTabs(_ref5) {
    var css = _ref5.css,
        comp = _ref5.comp,
        set = _ref5.set,
        color = _ref5.color;


    css({
        '.math': {
            '.math-body': {
                bdt: '1px solid ' + color.greyLightest,
                pad: '20px 0 0',
                mar: '-1px 0 0'
            },
            '.math-line': {
                ta: 'center',
                w: '100%'
            },
            '.math-blocks': {
                d: 'inline-block',
                w: '32px',
                h: '32px',
                fl: 'left',
                mar: '0 15px 0 0',
                cur: 'pointer',
                '&:hover': {
                    span: {
                        bg: color.greyLight
                    }
                },
                span: {
                    d: 'block',
                    mar: 0,
                    pad: 0,
                    ov: 'hidden',
                    w: '32px',
                    bg: color.greyLighter
                }
            },
            '.btn-ln': {
                mar: '0 5px 0 0',
                fl: 'left'
            }
        }
    });

    set({
        tab: 'math'
    });

    var _onClick = function _onClick(txt) {
        var props = comp.props;

        props.onPaste(txt);
    };

    return function (_ref6) {
        var T = _ref6.T,
            s = _ref6.state;


        var tab = null;

        switch (s.tab) {
            case 'math':
                {
                    tab = ['div', { className: 'math-body' }, ['div', { className: 'math-line' }, [Btn, { snippet: '\\widetilde{ab}', img: 'widetilde.png', onClick: _onClick }], [Btn, { snippet: '\\overleftarrow{ba}', img: 'overleftarrow.png', onClick: _onClick }], [Btn, { snippet: '\\overline{ab}', img: 'overline.png', onClick: _onClick }], [Btn, { snippet: '\\overbrace{ab}', img: 'overbrace.png', onClick: _onClick }], [Btn, { snippet: '\\sqrt{ab}', img: 'sqrt.png', onClick: _onClick }], [Btn, { snippet: 'f\'', img: 'fdash.png', onClick: _onClick }], [Btn, { snippet: 'x^{k}', img: 'xpk.png', onClick: _onClick }], [Btn, { snippet: '\\lim_{a \\rightarrow b}', img: 'limit.png', onClick: _onClick }], [Btn, { snippet: '\\begin{bmatrix}a & b \\\\c & d \\end{bmatrix}', img: 'matrix.png', onClick: _onClick }], [Btn, { snippet: '\\big(a\\big)', img: 'para.png', onClick: _onClick }], [Btn, { snippet: '\\int_a^b x', img: 'int.png', onClick: _onClick }], [Btn, { snippet: '\\sum_a^b x', img: 'sum.png', onClick: _onClick }], [Btn, { snippet: '\\prod_a^b x', img: 'prod.png', onClick: _onClick }], [Btn, { snippet: '\\bigcap_a^b x', img: 'bigcap.png', onClick: _onClick }], [Btn, { snippet: '\\bigvee_a^b x', img: 'bigvee.png', onClick: _onClick }], [Btn, { snippet: '\\bigotimes', img: 'bigotimes.png', onClick: _onClick }]], ['div', { className: 'math-line' }, [Btn, { snippet: '\\widehat{ab}', img: 'widehat.png', onClick: _onClick }], [Btn, { snippet: '\\overrightarrow{ab}', img: 'overrightarrow.png', onClick: _onClick }], [Btn, { snippet: '\\underline{ab}', img: 'underline.png', onClick: _onClick }], [Btn, { snippet: '\\underbrace{ab}', img: 'underbrace.png', onClick: _onClick }], [Btn, { snippet: '\\sqrt[n]{ab}', img: 'sqrtn.png', onClick: _onClick }], [Btn, { snippet: '\\frac{a}{b}', img: 'frac.png', onClick: _onClick }], [Btn, { snippet: 'x_{k}', img: 'xuk.png', onClick: _onClick }], [Btn, { snippet: '\\frac{\\partial^nf}{\\partial x^n}', img: 'partial.png', onClick: _onClick }], [Btn, { snippet: ' x =\\begin{cases}a & x = 0\\\\b & x > 0\\end{cases} ', img: 'select.png', onClick: _onClick }], [Btn, { snippet: '\\big\\{a\\big\\}', img: 'curly.png', onClick: _onClick }], [Btn, { snippet: '\\oint_a^b x', img: 'oint.png', onClick: _onClick }], [Btn, { snippet: '\\bigsqcup_a^b x', img: 'bigsqcup.png', onClick: _onClick }], [Btn, { snippet: '\\coprod_a^b x', img: 'coprod.png', onClick: _onClick }], [Btn, { snippet: '\\bigcup_a^b x', img: 'bigcup.png', onClick: _onClick }], [Btn, { snippet: '\\bigwedge_a^b x', img: 'bigwedge.png', onClick: _onClick }], [Btn, { snippet: '\\bigoplus', img: 'bigoplus.png', onClick: _onClick }]]];
                    break;
                }
            case 'greek':
                {
                    tab = ['div', { className: 'math-body' }, ['div', { className: 'math-line', style: { maxWidth: '500px', float: 'left', margin: '0 60px 0 0' } }, [BtnSmall, { snippet: '\\alpha', img: 'alpha.png', onClick: _onClick }], [BtnSmall, { snippet: '\\beta', img: 'beta.png', onClick: _onClick }], [BtnSmall, { snippet: '\\gamma', img: 'gamma.png', onClick: _onClick }], [BtnSmall, { snippet: '\\delta', img: 'delta.png', onClick: _onClick }], [BtnSmall, { snippet: '\\epsilon', img: 'epsilon.png', onClick: _onClick }], [BtnSmall, { snippet: '\\varepsilon', img: 'varepsilon.png', onClick: _onClick }], [BtnSmall, { snippet: '\\zeta', img: 'zeta.png', onClick: _onClick }], [BtnSmall, { snippet: '\\eta', img: 'eta.png', onClick: _onClick }], [BtnSmall, { snippet: '\\theta', img: 'theta.png', onClick: _onClick }], [BtnSmall, { snippet: '\\vartheta', img: 'vartheta.png', onClick: _onClick }], [BtnSmall, { snippet: '\\kappa', img: 'kappa.png', onClick: _onClick }], [BtnSmall, { snippet: '\\lambda', img: 'lambda.png', onClick: _onClick }], [BtnSmall, { snippet: '\\mu', img: 'mu.png', onClick: _onClick }], [BtnSmall, { snippet: '\\nu', img: 'nu.png', onClick: _onClick }], [BtnSmall, { snippet: '\\xi', img: 'xi.png', onClick: _onClick }], [BtnSmall, { snippet: 'o', img: 'o.png', onClick: _onClick }], [BtnSmall, { snippet: '\\pi', img: 'pi.png', onClick: _onClick }], [BtnSmall, { snippet: '\\varpi', img: 'varpi.png', onClick: _onClick }], [BtnSmall, { snippet: '\\rho', img: 'rho.png', onClick: _onClick }], [BtnSmall, { snippet: '\\varrho', img: 'varrho.png', onClick: _onClick }], [BtnSmall, { snippet: '\\sigma', img: 'sigma.png', onClick: _onClick }], [BtnSmall, { snippet: '\\varsigma', img: 'varsigma.png', onClick: _onClick }], [BtnSmall, { snippet: '\\tau', img: 'tau.png', onClick: _onClick }], [BtnSmall, { snippet: '\\upsilon', img: 'upsilon.png', onClick: _onClick }], [BtnSmall, { snippet: '\\phi', img: 'phi.png', onClick: _onClick }], [BtnSmall, { snippet: '\\varphi', img: 'varphi.png', onClick: _onClick }], [BtnSmall, { snippet: '\\chi', img: 'chi.png', onClick: _onClick }], [BtnSmall, { snippet: '\\psi', img: 'psi.png', onClick: _onClick }], [BtnSmall, { snippet: '\\omega', img: 'omega.png', onClick: _onClick }]], ['div', { className: 'math-line', style: { maxWidth: '330px', float: 'left' } }, [BtnSmall, { snippet: '\\Gamma', img: 'Gamma.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Delta', img: 'Delta.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Theta', img: 'Theta.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Lambda', img: 'Lambda.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Xi', img: 'Xi.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Pi', img: 'Pi.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Sigma', img: 'Sigma.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Upsilon', img: 'Upsilon.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Phi', img: 'Phi.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Psi', img: 'Psi.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Omega', img: 'Omega.png', onClick: _onClick }], [BtnSmall, { snippet: '\\$', img: '$.png', onClick: _onClick }]]];
                    break;
                }
            case 'relations':
                {
                    tab = ['div', { className: 'math-body' }, ['div', { className: 'math-line' }, [BtnSmall, { snippet: '\\leq', img: 'leq.png', onClick: _onClick }], [BtnSmall, { snippet: '\\prec', img: 'prec.png', onClick: _onClick }], [BtnSmall, { snippet: '\\preceq', img: 'preceq.png', onClick: _onClick }], [BtnSmall, { snippet: '\\ll', img: 'll.png', onClick: _onClick }], [BtnSmall, { snippet: '\\subset', img: 'subset.png', onClick: _onClick }], [BtnSmall, { snippet: '\\subseteq', img: 'subseteq.png', onClick: _onClick }], [BtnSmall, { snippet: '\\sqsubset', img: 'sqsubset.png', onClick: _onClick }], [BtnSmall, { snippet: '\\sqsubseteq', img: 'sqsubseteq.png', onClick: _onClick }], [BtnSmall, { snippet: '\\in', img: 'in.png', onClick: _onClick }], [BtnSmall, { snippet: '\\vdash', img: 'vdash.png', onClick: _onClick }], [BtnSmall, { snippet: '>', img: 'gt.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Join', img: 'Join.png', onClick: _onClick }], [BtnSmall, { snippet: '\\smile', img: 'smile.png', onClick: _onClick }], [BtnSmall, { snippet: '\\sim', img: 'sim.png', onClick: _onClick }], [BtnSmall, { snippet: '\\asymp', img: 'asymp.png', onClick: _onClick }], [BtnSmall, { snippet: '\\equiv', img: 'equiv.png', onClick: _onClick }], [BtnSmall, { snippet: '\\mid', img: 'mid.png', onClick: _onClick }], [BtnSmall, { snippet: '\\neq', img: 'neq.png', onClick: _onClick }], [BtnSmall, { snippet: '\\perp', img: 'perp.png', onClick: _onClick }], [BtnSmall, { snippet: ':', img: 'colon.png', onClick: _onClick }], [BtnSmall, { snippet: '\\rhd', img: 'rhd.png', onClick: _onClick }], [BtnSmall, { snippet: '\\unrhd', img: 'unrhd.png', onClick: _onClick }]], ['div', { className: 'math-line' }, [BtnSmall, { snippet: '\\geq', img: 'geq.png', onClick: _onClick }], [BtnSmall, { snippet: '\\succ', img: 'succ.png', onClick: _onClick }], [BtnSmall, { snippet: '\\succeq', img: 'succeq.png', onClick: _onClick }], [BtnSmall, { snippet: '\\gg', img: 'gg.png', onClick: _onClick }], [BtnSmall, { snippet: '\\supset', img: 'supset.png', onClick: _onClick }], [BtnSmall, { snippet: '\\supseteq', img: 'supseteq.png', onClick: _onClick }], [BtnSmall, { snippet: '\\sqsupset', img: 'sqsupset.png', onClick: _onClick }], [BtnSmall, { snippet: '\\sqsupseteq', img: 'sqsupseteq.png', onClick: _onClick }], [BtnSmall, { snippet: '\\ni', img: 'ni.png', onClick: _onClick }], [BtnSmall, { snippet: '\\dashv', img: 'dashv.png', onClick: _onClick }], [BtnSmall, { snippet: '<', img: 'lt.png', onClick: _onClick }], [BtnSmall, { snippet: '\\bowtie', img: 'bowtie.png', onClick: _onClick }], [BtnSmall, { snippet: '\\frown', img: 'frown.png', onClick: _onClick }], [BtnSmall, { snippet: '\\simeq', img: 'simeq.png', onClick: _onClick }], [BtnSmall, { snippet: '\\approx', img: 'approx.png', onClick: _onClick }], [BtnSmall, { snippet: '\\cong', img: 'cong.png', onClick: _onClick }], [BtnSmall, { snippet: '\\parallel', img: 'parallel.png', onClick: _onClick }], [BtnSmall, { snippet: '\\doteq', img: 'doteq.png', onClick: _onClick }], [BtnSmall, { snippet: '\\models', img: 'models.png', onClick: _onClick }], [BtnSmall, { snippet: '\\propto', img: 'propto.png', onClick: _onClick }], [BtnSmall, { snippet: '\\lhd', img: 'lhd.png', onClick: _onClick }], [BtnSmall, { snippet: '\\unlhd', img: 'unlhd.png', onClick: _onClick }]]];
                    break;
                }
            case 'logic':
                {
                    tab = ['div', { className: 'math-body' }, ['div', { className: 'math-line' }, [BtnSmall, { snippet: '+', img: 'plus.png', onClick: _onClick }], [BtnSmall, { snippet: '\\times', img: 'times.png', onClick: _onClick }], [BtnSmall, { snippet: '\\cap', img: 'cap.png', onClick: _onClick }], [BtnSmall, { snippet: '\\cup', img: 'cup.png', onClick: _onClick }], [BtnSmall, { snippet: '\\vee', img: 'vee.png', onClick: _onClick }], [BtnSmall, { snippet: '\\setminus', img: 'setminus.png', onClick: _onClick }], [BtnSmall, { snippet: '\\bigtriangleup', img: 'bigtriangleup.png', onClick: _onClick }], [BtnSmall, { snippet: '\\triangleright', img: 'triangleright.png', onClick: _onClick }], [BtnSmall, { snippet: '\\rhd', img: 'rhd.png', onClick: _onClick }], [BtnSmall, { snippet: '\\unrhd', img: 'unrhd.png', onClick: _onClick }], [BtnSmall, { snippet: '\\oplus', img: 'oplus.png', onClick: _onClick }], [BtnSmall, { snippet: '\\otimes', img: 'otimes.png', onClick: _onClick }], [BtnSmall, { snippet: '\\odot', img: 'odot.png', onClick: _onClick }], [BtnSmall, { snippet: '\\uplus', img: 'uplus.png', onClick: _onClick }], [BtnSmall, { snippet: '\\ast', img: 'ast.png', onClick: _onClick }], [BtnSmall, { snippet: '\\circ', img: 'circ.png', onClick: _onClick }]], ['div', { className: 'math-line' }, [BtnSmall, { snippet: '-', img: 'minus.png', onClick: _onClick }], [BtnSmall, { snippet: '\\div', img: 'div.png', onClick: _onClick }], [BtnSmall, { snippet: '\\sqcup', img: 'sqcup.png', onClick: _onClick }], [BtnSmall, { snippet: '\\sqcap', img: 'sqcap.png', onClick: _onClick }], [BtnSmall, { snippet: '\\wedge', img: 'wedge.png', onClick: _onClick }], [BtnSmall, { snippet: '\\wr', img: 'wr.png', onClick: _onClick }], [BtnSmall, { snippet: '\\bigtriangledown', img: 'bigtriangledown.png', onClick: _onClick }], [BtnSmall, { snippet: '\\triangleleft', img: 'triangleleft.png', onClick: _onClick }], [BtnSmall, { snippet: '\\lhd', img: 'lhd.png', onClick: _onClick }], [BtnSmall, { snippet: '\\unlhd', img: 'unlhd.png', onClick: _onClick }], [BtnSmall, { snippet: '\\ominus', img: 'ominus.png', onClick: _onClick }], [BtnSmall, { snippet: '\\oslash', img: 'oslash.png', onClick: _onClick }], [BtnSmall, { snippet: '\\bigcirc', img: 'bigcirc.png', onClick: _onClick }], [BtnSmall, { snippet: '\\amalg', img: 'amalg.png', onClick: _onClick }], [BtnSmall, { snippet: '\\star', img: 'star.png', onClick: _onClick }], [BtnSmall, { snippet: '\\bullet', img: 'bullet.png', onClick: _onClick }]]];
                    break;
                }
            case 'symbols':
                {
                    tab = ['div', { className: 'math-body' }, ['div', { className: 'math-line' }, [BtnSmall, { snippet: '\\ldots', img: 'ldots.png', onClick: _onClick }], [BtnSmall, { snippet: '\\vdots', img: 'vdots.png', onClick: _onClick }], [BtnSmall, { snippet: '\\mp', img: 'mp.png', onClick: _onClick }], [BtnSmall, { snippet: '\\times', img: 'times.png', onClick: _onClick }], [BtnSmall, { snippet: '/', img: 'slash.png', onClick: _onClick }], [BtnSmall, { snippet: '|', img: 'or.png', onClick: _onClick }], [BtnSmall, { snippet: '\\imath', img: 'imath.png', onClick: _onClick }], [BtnSmall, { snippet: '\\nabla', img: 'nabla.png', onClick: _onClick }], [BtnSmall, { snippet: '\\top', img: 'top.png', onClick: _onClick }], [BtnSmall, { snippet: '\\forall', img: 'forall.png', onClick: _onClick }], [BtnSmall, { snippet: '\\neg', img: 'neg.png', onClick: _onClick }], [BtnSmall, { snippet: '\\partial', img: 'partial2.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Re', img: 'Re.png', onClick: _onClick }], [BtnSmall, { snippet: '\\aleph', img: 'aleph.png', onClick: _onClick }], [BtnSmall, { snippet: '\\ell', img: 'ell.png', onClick: _onClick }], [BtnSmall, { snippet: '\\wp', img: 'wp.png', onClick: _onClick }], [BtnSmall, { snippet: '\\prime', img: 'prime.png', onClick: _onClick }], [BtnSmall, { snippet: '\\surd', img: 'surd.png', onClick: _onClick }], [BtnSmall, { snippet: '\\natural', img: 'natural.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Box', img: 'Box.png', onClick: _onClick }], [BtnSmall, { snippet: '\\clubsuit', img: 'clubsuit.png', onClick: _onClick }], [BtnSmall, { snippet: '\\heartsuit', img: 'heartsuit.png', onClick: _onClick }]], ['div', { className: 'math-line' }, [BtnSmall, { snippet: '\\cdots', img: 'cdots.png', onClick: _onClick }], [BtnSmall, { snippet: '\\ddots', img: 'ddots.png', onClick: _onClick }], [BtnSmall, { snippet: '\\pm', img: 'pm.png', onClick: _onClick }], [BtnSmall, { snippet: '\\div', img: 'div.png', onClick: _onClick }], [BtnSmall, { snippet: '\\backslash', img: 'backslash.png', onClick: _onClick }], [BtnSmall, { snippet: '\\|', img: 'parallel.png', onClick: _onClick }], [BtnSmall, { snippet: '\\jmath', img: 'jmath.png', onClick: _onClick }], [BtnSmall, { snippet: '\\triangle', img: 'triangle.png', onClick: _onClick }], [BtnSmall, { snippet: '\\bot', img: 'bot.png', onClick: _onClick }], [BtnSmall, { snippet: '\\exists', img: 'exists.png', onClick: _onClick }], [BtnSmall, { snippet: '\\flat', img: 'flat.png', onClick: _onClick }], [BtnSmall, { snippet: '\\infty', img: 'infty.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Im', img: 'Im.png', onClick: _onClick }], [BtnSmall, { snippet: '\\hbar', img: 'hbar.png', onClick: _onClick }], [BtnSmall, { snippet: '\\mho', img: 'mho.png', onClick: _onClick }], [BtnSmall, { snippet: '\\emptyset', img: 'emptyset.png', onClick: _onClick }], [BtnSmall, { snippet: '.', img: 'dot2.png', onClick: _onClick }], [BtnSmall, { snippet: '\\angle', img: 'angle.png', onClick: _onClick }], [BtnSmall, { snippet: '\\sharp', img: 'sharp.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Diamond', img: 'Diamond.png', onClick: _onClick }], [BtnSmall, { snippet: '\\spadesuit', img: 'spadesuit.png', onClick: _onClick }], [BtnSmall, { snippet: '\\diamondsuit', img: 'diamondsuit.png', onClick: _onClick }]]];
                    break;
                }
            case 'arrows':
                {
                    tab = ['div', { className: 'math-body' }, ['div', { className: 'math-line' }, [BtnSmall, { snippet: '\\leftarrow', img: 'leftarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Leftarrow', img: 'cLeftarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\leftrightarrow', img: 'leftrightarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\mapsto', img: 'mapsto.png', onClick: _onClick }], [BtnSmall, { snippet: '\\leftharpoonup', img: 'leftharpoonup.png', onClick: _onClick }], [BtnSmall, { snippet: '\\rightharpoonup', img: 'rightharpoonup.png', onClick: _onClick }], [BtnSmall, { snippet: '\\longleftarrow', img: 'longleftarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Longleftarrow', img: 'cLongleftarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\longleftrightarrow', img: 'longleftrightarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\uparrow', img: 'uparrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\downarrow', img: 'downarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\updownarrow', img: 'updownarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\hookleftarrow', img: 'hookleftarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\rightleftharpoons', img: 'rightleftharpoons.png', onClick: _onClick }], [BtnSmall, { snippet: '\\nearrow', img: 'nearrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\searrow', img: 'searrow.png', onClick: _onClick }]], ['div', { className: 'math-line' }, [BtnSmall, { snippet: '\\rightarrow', img: 'rightarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Rightarrow', img: 'cRightarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Leftrightarrow', img: 'cLeftrightarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\longmapsto', img: 'longmapsto.png', onClick: _onClick }], [BtnSmall, { snippet: '\\leftharpoondown', img: 'leftharpoondown.png', onClick: _onClick }], [BtnSmall, { snippet: '\\rightharpoondown', img: 'rightharpoondown.png', onClick: _onClick }], [BtnSmall, { snippet: '\\longrightarrow', img: 'longrightarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Longrightarrow', img: 'cLongrightarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Longleftrightarrow', img: 'cLongleftrightarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Uparrow', img: 'cUparrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Downarrow', img: 'cDownarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\Updownarrow', img: 'cUpdownarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\hookrightarrow', img: 'hookrightarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\leadsto', img: 'leadsto.png', onClick: _onClick }], [BtnSmall, { snippet: '\\nwarrow', img: 'nwarrow.png', onClick: _onClick }], [BtnSmall, { snippet: '\\swarrow', img: 'swarrow.png', onClick: _onClick }]]];
                    break;
                }
        }

        return ['div', { className: 'math unselectable', style: { width: '100%' } }, ['div', { style: { width: '100%' } }, ['div', { style: { width: '100px', float: 'left' } }, ['span', { className: 'math-blocks', title: T('Display math block'), onClick: function onClick() {
                return _onClick('\n\n$$\n1 + 1\n$$\n\n');
            } }, ['span', { style: { margin: '8px 0 0', height: '15px' } }]], ['span', { className: 'math-blocks', title: T('Inline math'), onClick: function onClick() {
                return _onClick('$$1 + 1$$');
            } }, ['span', { style: { margin: '8px 0 0', height: '3px' } }], ['span', { style: { margin: '3px 0 0', height: '3px' } }], ['span', { style: { margin: '3px 0 0', height: '3px', width: '20px' } }]]], ['div', { style: { margin: '0 0 0 100px' } }, [_btnLine.P4CompBtnLine, { value: T('Math'), isActive: s.tab === 'math', isReverse: true, onClick: function onClick() {
                return set({ tab: 'math' });
            } }], [_btnLine.P4CompBtnLine, { value: T('Greek'), isActive: s.tab === 'greek', isReverse: true, onClick: function onClick() {
                return set({ tab: 'greek' });
            } }], [_btnLine.P4CompBtnLine, { value: T('Relations'), isActive: s.tab === 'relations', isReverse: true, onClick: function onClick() {
                return set({ tab: 'relations' });
            } }], [_btnLine.P4CompBtnLine, { value: T('Logic'), isActive: s.tab === 'logic', isReverse: true, onClick: function onClick() {
                return set({ tab: 'logic' });
            } }], [_btnLine.P4CompBtnLine, { value: T('Symbols'), isActive: s.tab === 'symbols', isReverse: true, onClick: function onClick() {
                return set({ tab: 'symbols' });
            } }], [_btnLine.P4CompBtnLine, { value: T('Arrows'), isActive: s.tab === 'arrows', isReverse: true, onClick: function onClick() {
                return set({ tab: 'arrows' });
            } }], ['div', { style: { clear: 'both' } }]]], ['div', { style: { clear: 'both' } }], tab];
    };
}

/***/ }),
/* 1 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.extend = extend;
function extend() {
    var a = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    var b = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

    for (var p in b) {
        a[p] = b[p];
    }
    for (var _len = arguments.length, rest = Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
        rest[_key - 2] = arguments[_key];
    }

    if (rest.length) a = extend.apply(null, [a].concat(rest));
    return a;
}

function bd(color) {
    return '1px solid ' + color;
}

var P4CompBtnLine = exports.P4CompBtnLine = function P4CompBtnLine(_ref) {
    var css = _ref.css,
        color = _ref.color;


    css({
        '.btn-ln': {
            'z-index': 1,
            pos: 'relative',
            fl: 'left',
            pad: '8px',
            cur: 'pointer',
            // filter: 'grayscale(1)',
            // '-webkit-filter': 'grayscale(1)',
            op: .7,
            // bdb: css.bd('transparent'),
            bdt: bd('transparent'),
            col: color.grey,
            // ff: css.font.family('ui'),
            // fw: css.font.weight('ui'),
            '&:hover': {
                // filter: 'grayscale(0)',
                // '-webkit-filter': 'grayscale(0)',
                op: 1,
                // bdb: css.bd(color.main2),
                bdt: bd(color.main2),
                '.btn-ln-bar': {
                    w: '100%',
                    op: 1
                }
            },
            '.btn-ln-bar': {
                'z-index': 2,
                pos: 'absolute',
                left: 0,
                // bottom: '-2px',
                top: '-2px',
                h: '3px',
                w: '1px',
                trs: 'all 0.23s',
                op: 0,
                bg: color.mainLight
            }
        },
        '.btn-ln-a': {
            // filter: 'grayscale(0)',
            // '-webkit-filter': 'grayscale(0)',
            op: 1,
            // bdb: css.bd(color.main2),
            bdt: bd(color.main2),
            col: color.greyDark,
            '.btn-ln-bar': {
                w: '100%',
                op: 1,
                h: '5px',
                top: '-3px',
                bg: color.grey
            }
        },
        '.btn-ln-rev.btn-ln': {
            bdt: 0,
            bdb: bd('transparent'),
            '&:hover': {
                bdt: 0,
                bdb: bd(color.main2)
            },
            '.btn-ln-bar': {
                top: 'auto',
                bottom: '-2px'
            }
        },
        '.btn-ln-rev.btn-ln-a': {
            bdt: 0,
            bdb: bd('transparent'),
            '.btn-ln-bar': {
                top: 'auto',
                bottom: '-3px'
            }
        }
    });

    return function (_ref2) {
        var h = _ref2.h,
            p = _ref2.props;

        var style = {};
        if (p.style) style = extend(style, p.style);
        return h('div', { className: 'btn-ln unselectable' + (p.isActive ? ' btn-ln-a' : '') + (p.isReverse ? ' btn-ln-rev' : ''), style: style, title: p.title, onClick: p.onClick }, p.value, h('div', { className: 'btn-ln-bar' }));
    };
};

/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.Bot = undefined;

var _comps = __webpack_require__(0);

var Bot = exports.Bot = function MathBot(_ref) {
    var manifest = _ref.manifest,
        view = _ref.view,
        action = _ref.action;


    manifest({
        id: 'math',
        name: 'Math Bot',
        icon: {
            '48': '48x48.png'
        },
        author: 'P4 Team',
        homepage: '',
        info: ''
    });

    var onPaste = function onPaste(text) {
        action('Paste', { text: text });
    };

    function Comp() {
        return function () {
            return ['div', {}, [_comps.P4CompPathTabs, { onPaste: onPaste }]];
        };
    }

    view('embed', Comp);
};

/***/ })
/******/ ]);